#include "platform.h"

/*
** test-remap_page_range.c
**
** This file can be used to check whether the 4-argument 2.4.x style
** or the 5-argument 2.5.x style should be used for remap_page_range().
*/

static int
fops_mmap(
  struct file*           filp,
  struct vm_area_struct* vma)
{
#if (REMAP_PAGE_RANGE_WITH_VMA_ARG==1)
  if (remap_page_range(vma,
		       vma->vm_start,
		       0,
		       1,
		       vma->vm_page_prot)) {
    /* Do nothing */
  }
#else
  if (remap_page_range(vma->vm_start,
		       0,
		       1,
		       vma->vm_page_prot)) {
    /* Do nothing */
  }
#endif

  return 0;
}
